@import url('https://fonts.googleapis.com/css2?family=Bai+Jamjuree:ital,wght@0,200;0,300;0,400;0,500;0,600;0,700;1,200;1,300;1,400;1,500;1,600;1,700&family=Goldman:wght@400;700&family=Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900&family=Mulish:ital,wght@0,200..1000;1,200..1000&display=swap');

* {
    box-sizing: border-box;
}
:root {

    --site-max-width: 1400px;

    --black: #000;
    --white: #fff;

    --blue: #404b77;
    --gray: #707f84;
    --red: #cd2027;
    --sand: #bdb2a2;

    --light-blue: #bdd0ed;
    --light-gray: #b0d0d9;

    --bai-jamjuree: 'Bai Jamjuree';
    --goldman: 'Goldman';
    --lato: 'Lato';
    --muli: 'Mulish';
    
}

/* Structure */

html,body {
    width: 100%;
    height: 100%;
    padding: 0;
    margin: 0;
}
body {
    background: #000;
    font-family: Arial, Helvetica, sans-serif;
    color: #fff;
}
.page {
    width: 100%;
    height: 100%;
}
.page-wrap {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    align-items: stretch;
    justify-content: space-between;
    gap: 0;
}

/* General */

h3:first-child,
p:first-child {
    margin-top: 0;
}
h3:last-child,
p:last-child {
    margin-bottom: 0;
}
a {
    text-decoration: none;
    transition: color 0.3s ease-in-out;
}

/* Header */

.site-header {
    position: relative;
    background: var(--gray);
    background-image: url('images/header-bg.jpg');
    background-size: cover;
    background-position: center top;
    background-repeat: no-repeat;
    padding: 20px;
    border-bottom: 10px solid var(--gray);
}
.site-header .header-wrap {
    position: relative;
    width: 100%;
    max-width: var(--site-max-width);
    margin: 0 auto;
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    align-items: stretch;
    justify-content: space-between;
    gap: 10px;
}
.site-header .header-aside {
    position: relative;
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    align-items: center;
    justify-content: center;
}
.site-header .header-wrap:after {
    content: '';
    position: absolute;
    top: calc(100% + 25px);
    left: 10px;
    transform: translateY(-50%);
    display: block;
    background-image: url('images/angles.png');
    background-size: contain;
    background-position: center center;
    background-repeat: no-repeat;
    width: 200px;
    height: 40px;
    z-index: 2;
    pointer-events: none;
}
.site-header .site-title {
    margin: 0 auto;
}
.site-header .site-logo {
    display: block;
    width: 100%;
    max-width: 280px;
    height: auto;
    margin: 0 auto;
    -webkit-filter: drop-shadow(0 0 8px rgba(255, 255, 255, 1));
    filter: drop-shadow(0 0 8px rgba(255, 255, 255, 1));
}
.site-header .site-tagline {
    font-family: var(--bai-jamjuree);
    font-size: 24px;
    line-height: 1;
    font-weight: 600;
    color: var(--blue);
    width: 100%;
    max-width: 680px;
    margin: 0 auto;
    text-align: center;
    text-shadow: 0 0 5px rgba(255,255,255,1);
}

/* Navigation */

.nav-stripe {
    display: block;
    position: absolute;
    right: 0;
    bottom: -15px;
    width: 100%;
    text-align: right;
    z-index: 99;
    pointer-events: none;
}
.menu-toggle {
    background: var(--blue);
    color: var(--white);
    border: 0;
    padding: 10px;
    transition: background 0.3s ease-in-out;
    pointer-events: initial;
    cursor: pointer;
}
.menu-toggle:hover {
    background: var(--gray);
}
.menu-toggle:before {
    content: '\f0c9';
    font-family: 'Font Awesome 6 Free';
    font-size: 20px;
    font-weight: bold;
}
.menu-toggle span {
    display: none;
}
.nav-primary {
    position: absolute;
    top: calc(100% + 15px);
    right: 0;
    width: auto;
    display: none;
    z-index: 99;
    text-align: left;
}
.nav-primary .main-menu {
    list-style: none;
    padding-left: 0;
    margin: 0 auto;
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    align-items: stretch;
    justify-content: center;
    gap: 0;
}
.nav-primary .main-menu .menu-item a {
    display: block;
    background: var(--gray);
    padding: 10px 25px;
    font-family: var(--lato);
    font-size: 20px;
    color: var(--white);
    text-transform: uppercase;
    text-decoration: none;
    pointer-events: all;
    transition: background 0.3s ease-in-out;
}
.nav-primary .main-menu .menu-item a:hover {
    background: var(--red);
}
.nav-primary .main-menu .menu-item.active a {
    background: var(--blue);
}

/* Body */

.site-body {
    flex: 1;
}

/* Sections */

section .section-wrap {
    position: relative;
    width: 100%;
    max-width: var(--site-max-width);
    margin: 0 auto;
}

/* Intro */

section.intro {
    background: var(--sand);
}
section.intro .section-wrap {
    max-width: none;
}
section.intro .slide {
    position: relative;
}
section.intro .slide-image {
    position: relative;
    width: 100%;
    height: auto;
    margin: 0 auto;
    aspect-ratio: 16 / 9;
    object-fit: cover;
    object-position: center center;
    overflow: hidden;
    vertical-align: text-bottom;
    z-index: 1;
}
section.intro .slide-caption {
    background: linear-gradient(to bottom,black 0%, #222 100%);
    padding: 30px;
}
section.intro .caption-title {
    font-family: var(--goldman);
    font-size: 36px;
    line-height: 1;
    font-weight: bold;
    color: var(--light-blue);
    text-shadow: 5px 5px 10px rgba(0,0,0,0.5);
    text-align: center;
    margin: 0 auto 0.5em;
}
section.intro .slide-caption p {
    font-size: 18px;
    line-height: 1.4em;
}

/* Catalog */

section.catalog {
    background: var(--black);
    background-image: url('images/hardware-bg.jpg');
    background-size: cover;
    background-position: center bottom;
    background-repeat: no-repeat;
}
section.catalog .section-wrap {
    padding: 40px 20px;
}
section.catalog .section-image {
    display: block;
    width: 100%;
    max-width: 540px;
    height: auto;
    margin: 0 auto;
}
section.catalog .section-content {
    width: 100%;
    background: rgba(0,0,0,0.7);
    padding: 30px;
    margin: 0;
    text-align: center;
}
section.catalog .section-title {
    font-family: var(--goldman);
    font-size: 36px;
    line-height: 1;
    font-weight: bold;
    color: var(--light-gray);
    text-shadow: 5px 5px 10px rgba(0,0,0,0.5);
    margin: 0 auto 0.5em;
}
section.catalog ul {
    list-style: none;
    padding-left: 0;
}
section.catalog p,
section.catalog li {
    font-family: var(--bai-jamjuree);
    font-size: 24px;
    line-height: 1;
    font-weight: 500;
    font-style: normal;
    color: var(--white);
    text-shadow: 5px 5px 10px rgba(0,0,0,0.5);
}
section.catalog li a {
    display: block;
    color: var(--white);
    padding: 8px;
    transition: background 0.3s ease-in-out;
}
section.catalog li span {
    font-size: 18px;
    font-weight: 400;
    color: var(--light-gray);
}
section.catalog p a {
    display: block;
    font-weight: 500;
    color: #fff;
    text-decoration: none;
    padding: 8px;
    transition: background 0.3s ease-in-out;
}
section.catalog p a:hover,
section.catalog li a:hover {
    background: rgba(255,255,255,0.08);
    border-radius: 8px;
}

/* Gallery */

section.gallery .section-title {
    font-family: var(--goldman);
    font-size: 36px;
    line-height: 1;
    font-weight: bold;
    color: var(--light-gray);
    text-shadow: 5px 5px 10px rgba(0,0,0,0.5);
    margin: 0 auto 0.5em;
    text-align: center;
}

/* Contact */

section.contact {
    position: relative;
    background: var(--blue);
    background-image: url('images/contact-bg.jpg');
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
    z-index: 0;
}
section.contact:before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    display: block;
    width: 100%;
    height: 20%;
    background: linear-gradient(to bottom,rgba(0,0,0,0.8) 0%,rgba(0,0,0,0) 100%);
    z-index: 1;
}
section.contact:after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    display: block;
    width: 100%;
    height: 20%;
    background: linear-gradient(to top,rgba(0,0,0,0.4) 0%,rgba(0,0,0,0) 100%);
    z-index: 1;
}
section.contact > * {
    position: relative;
    z-index: 2;
}
section.contact .section-content {
    width: 100%;
    padding: 60px 30px;
    text-align: center;
}
section.contact .section-title {
    font-family: var(--goldman);
    font-size: 36px;
    line-height: 1;
    font-weight: bold;
    color: var(--light-blue);
    text-shadow: 5px 5px 10px rgba(0,0,0,0.5);
    margin: 0 auto 0.5em;
}
section.contact address,
section.contact p {
    font-family: var(--bai-jamjuree);
    font-size: 24px;
    font-weight: 600;
    font-style: normal;
    color: var(--white);
    text-shadow: 5px 5px 10px rgba(0,0,0,0.5);
}
section.contact p span {
    color: var(--light-blue);
}
section.contact p a {
    font-weight: 400;
    color: var(--light-blue);
    text-decoration: none;
}
section.contact p a:hover {
    color: var(--white);
}

/* Pre-Footer */

.site-pre-footer {
    background: var(--gray);
    background-image: url('images/header-bg.jpg');
    background-size: cover;
    background-position: center bottom;
    background-repeat: no-repeat;
    border-top: 10px solid var(--gray);
}
.site-pre-footer .pre-footer-wrap {
    position: relative;
    width: 100%;
    max-width: var(--site-max-width);
    margin: 0 auto;
    padding: 60px 20px;
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    align-items: center;
    justify-content: space-between;
    gap: 20px;
}
.site-pre-footer .pre-footer-wrap:after {
    content: '';
    position: absolute;
    top: calc(0% - 6px);
    right: 10px;
    transform: translateY(-50%);
    display: block;
    background-image: url('images/angles.png');
    background-size: contain;
    background-position: center center;
    background-repeat: no-repeat;
    width: 200px;
    height: 40px;
    z-index: 2;
    pointer-events: none;
}
.site-pre-footer .content {
    text-align: center;
}
.site-pre-footer .footer-title {
    font-family: var(--muli);
    font-size: 48px;
    line-height: 1.2;
    color: var(--blue);
    text-align: center;
    margin: 0 auto 0.25em;
    text-shadow: 0 0 5px rgba(255,255,255,1);
}
.site-pre-footer .footer-title span {
    display: block;
}
.site-pre-footer .footer-title span.ameriline {
    font-size: 42px;
}
.site-pre-footer .footer-title span.accept-no-imitations {
    font-size: 32px;
}
.site-pre-footer .footer-tagline {
    font-family: var(--bai-jamjuree);
    font-size: 24px;
    font-weight: 500;
    color: var(--red);
    text-transform: uppercase;
    text-align: center;
    margin: 0 auto;
    text-shadow: 0 0 5px rgba(255,255,255,1);
}
.site-pre-footer .made-in-the-usa {
    display: block;
    width: 100%;
    max-width: 180px;
    height: auto;
    margin: 0 auto;
}

/* Footer */

.site-footer {
    background: var(--gray);
}
.site-footer .footer-wrap {
    position: relative;
    width: 100%;
    max-width: var(--site-max-width);
    margin: 0 auto;
    padding: 20px;
}
.site-footer .copyright {
    font-size: 14px;
    text-align: center;
}

@media screen and ( min-width: 960px ) {

    /* Header */

    .site-header {
        padding: 40px 20px;
    }
    .site-header .header-wrap {
        flex-direction: row;
        gap: 20px;
    }
    .site-header .header-wrap:after {
        top: calc(100% + 45px);
    }
    .site-header .header-aside {
        flex: 1;
    }
    .site-header .site-logo {
        max-width: 420px;
    }
    .site-header .site-tagline {
        font-size: 32px;
    }

    /* Navigation */

    .nav-stripe {
        bottom: -35px;
    }

    /* Intro */

    section.intro .caption-title {
        font-size: 64px;
    }
    section.intro .slide-caption p {
        font-size: 24px;
    }

    /* Catalog */

    section.catalog .section-title {
        font-size: 64px;
    }
    section.catalog p,
    section.catalog li {
        font-size: 38px;
    }
    section.catalog li span {
        font-size: 24px;
    }

    /* Gallery */

    section.gallery .section-title {
        font-size: 64px;
    }

    /* Contact */

    section.contact .section-title {
        font-size: 64px;
    }
    section.contact address,
    section.contact p {
        font-size: 38px;
    }

    /* Pre-Footer */

    .site-pre-footer .pre-footer-wrap {
        flex-direction: row;
    }
    .site-pre-footer .pre-footer-content {
        flex: 1;
    }
    .site-pre-footer .footer-title,
    .site-pre-footer .footer-title span.ameriline,
    .site-pre-footer .footer-title span.accept-no-imitations {
        font-size: 52px;
    }
    .site-pre-footer .footer-tagline {
        font-size: 32px;
    }
    .site-pre-footer .made-in-the-usa {
        max-width: 240px;
    }

}

@media screen and ( min-width: 1200px ) {

    /* Header */

    .site-header .site-tagline {
        font-size: 42px;
        margin-bottom: 40px;
    }

    /* Navigation */

    .nav-stripe {
        bottom: -40px;
    }
    .menu-toggle {
        display: none;
    }
    .nav-primary {
        display: inline-block;
        position: relative;
        top: auto;
        right: auto;
        width: calc(100% - 420px);
        transform: none;
    }
    .nav-primary .main-menu {
        flex-direction: row;
        gap: 10px;
    }
    .nav-primary .main-menu .menu-item a {
        background: rgba(112,127,132,0.75);
        font-size: 28px;
    }

    /* Intro */

    section.intro .slide .slide-wrap {
        position: absolute;
        top: 0;
        left: 50%;
        transform: translateX(-50%);
        display: block;
        width: 100%;
        max-width: var(--site-max-width);
        height: 100%;
        margin: 0 auto;
        z-index: 2;
    }
    section.intro .slide-caption {
        position: absolute;
        top: 50%;
        left: 0;
        width: 100%;
        max-width: 50%;
        transform: translateY(-50%);
        background: rgba(0,0,0,0.7);
        margin: 20px;
    }

    /* Catalog */

    section.catalog .section-wrap {
        display: flex;
        flex-direction: row;
        flex-wrap: nowrap;
        align-items: center;
        justify-content: flex-end;
    }
    section.catalog .section-content {
        max-width: 70%;
    }

    /* Pre-Footer */

    .site-pre-footer .footer-title span {
        display: inline;
    }
    
}


/* Modal Window */

.gallery {
    padding: 40px;
}

.gallery-images {
    display: grid;
    grid-template-columns: 1fr;
    gap: 5px;
    margin: 0 auto;
    list-style: none;
    padding-left: 0;
}

.gallery-images .gallery-image img {
    display: block;
    width: 100%;
    max-width: 480px;
    height: auto;
    margin: 0 auto;
}

.gallery-images .lightbox {
	position: relative;
	display: inline-block;
}

.gallery-images .lightbox:before {
	content: '\f002';
	position: absolute;
	left: 50%;
	top: 50%;
	transform: translate(-50%, -50%);
	z-index: 1;
	font-family: 'Font Awesome 6 Free';
	font-size: 40px;
	font-weight: bold;
    background: rgba(0,0,0,0);
	color: rgba(255,255,255,0);
    padding: 15px;
    border-radius: 100px;
	transition: all 0.3s ease-in-out;
}

.gallery-images .lightbox:hover:before {
    background: rgba(0,0,0,0.7);
	color: rgba(255,255,255,0.8);
}

.gallery-images .lightbox img {
	display: block;
}

.modal-lightbox {
	position: fixed;
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
	z-index: 999999;
}

.modal-lightbox:before {
	content: '';
	position: absolute;
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
	background: #000;
	opacity: 0.9;
}

.modal-lightbox .modal-wrap {
	position: fixed;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%); /*translate(-50%, -50%);*/
	background: #000;
	border-radius: 5px;
	padding: 20px;
	/*width: 100%;
	max-width: 960px;*/
}

.modal-lightbox .modal-image {
	display: block;
	/*width: 100%;
	max-width: 1920px;
	height: auto;*/
	margin: 0 auto;
}

.modal-lightbox .modal-close {
	display: block;
	position: absolute;
	top: 30px;
	right: 30px;
	/*transform: translate(-50%, -50%);*/
	width: 40px;
	height: 40px;
	background: #000;
    color: #fff;
	border-radius: 80px;
	text-align: center;
    opacity: 0;
    transition: opacity 0.3s ease-in-out;
}

.modal-lightbox .modal-wrap:hover .modal-close {
    opacity: 1;
}

.modal-lightbox .modal-close span {
	display: none;
}

.modal-lightbox .modal-close i.fa-xmark {
	font-size: 25px;
	line-height: 40px;
}

.modal-lightbox .modal-wrap {
    /*max-height: 95vh;
    overflow-y: auto;*/
}

.modal-lightbox .modal-image {
    max-height: 90vh;
    max-width: 90vw;
    height: auto;
    width: auto;
    object-fit: contain;
}


@media screen and ( min-width: 480px ) {
    .gallery-images {
        grid-template-columns: 1fr 1fr;
    }
}


@media screen and ( min-width: 960px ) {
    .gallery-images {
        grid-template-columns: 1fr 1fr 1fr;
    }
}
